Update a Handover Provider - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Update a Handover Provider

Endpoint
PATCH /v2.0/handover/providers/{providerId}

Try it

cURL

curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/handover/providers/{providerId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\n{\n  "_id": "<string>",\n  "referenceId": "<string>",\n  "organisationId": "<string>",\n  "serviceId": "<string>",\n  "service": "<string>",\n  "localeId": "<string>",\n  "name": "<string>",\n  "createdAt": 123,\n  "lastChangedAt": 123,\n  "createdBy": "<string>",\n  "lastChangedBy": "<string>",\n  "properties": [{}],\n  "settings": {}\n}  
'  

Python Example

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/handover/providers/{providerId}"

payload = {
    "_id": "<string>",
    "referenceId": "<string>",
    "organisationId": "<string>",
    "serviceId": "<string>",
    "service": "<string>",
    "localeId": "<string>",
    "name": "<string>",
    "createdAt": 123,
    "lastChangedAt": 123,
    "createdBy": "<string>",
    "lastChangedBy": "<string>",
    "properties": [{}],
    "settings": {}
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript Example

const options = {  
  method: 'PATCH',  
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},  
  body: JSON.stringify({  
    _id: '<string>',  
    referenceId: '<string>',  
    organisationId: '<string>',  
    serviceId: '<string>',  
    service: '<string>',  
    localeId: '<string>',  
    name: '<string>',  
    createdAt: 123,  
    lastChangedAt: 123,  
    createdBy: '<string>',  
    lastChangedBy: '<string>',  
    properties: [{}],  
    settings: {}  
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/handover/providers/{providerId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));  

PHP Example

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/handover/providers/{providerId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    '_id' => '<string>',
    'referenceId' => '<string>',
    'organisationId' => '<string>',
    'serviceId' => '<string>',
    'service' => '<string>',
    'localeId' => '<string>',
    'name' => '<string>',
    'createdAt' => 123,
    'lastChangedAt' => 123,
    'createdBy' => '<string>',
    'lastChangedBy' => '<string>',
    'properties' => [{}],
    'settings' => []
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Error Response

400 Bad Request

{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

401 Unauthorized

{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

Authorizations

Request Headers

Path Parameters